<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: sd_partition.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_d3e05aca7a3899228bc73874ca6b8d8d.html">sd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">sd_partition.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacelink__partition"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html">link_partition</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacesd__partition"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__partition.html">sd_partition</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a80c874965306080521411b5c4725e958"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#a80c874965306080521411b5c4725e958">link_partition::link_partition_to</a> (sd)</td></tr>
<tr class="separator:a80c874965306080521411b5c4725e958"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab26faf29a9c3036867f0735968e4603b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#ab26faf29a9c3036867f0735968e4603b">link_partition::unlink_partition</a> ()</td></tr>
<tr class="separator:ab26faf29a9c3036867f0735968e4603b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a029c041a8b341cd86f44be0e6b459153"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__partition.html#a029c041a8b341cd86f44be0e6b459153">sd_partition::partition_init</a> (sd)</td></tr>
<tr class="separator:a029c041a8b341cd86f44be0e6b459153"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4963cade3a12d380deac07ac5644e498"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#a4963cade3a12d380deac07ac5644e498">link_partition::imino_</a></td></tr>
<tr class="separator:a4963cade3a12d380deac07ac5644e498"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeabc73b539afa7a77f23ca4d02150465"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#aeabc73b539afa7a77f23ca4d02150465">link_partition::imin_</a></td></tr>
<tr class="separator:aeabc73b539afa7a77f23ca4d02150465"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a723d40f561e1f74f9f5744ac880c4405"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#a723d40f561e1f74f9f5744ac880c4405">link_partition::imaxo_</a></td></tr>
<tr class="separator:a723d40f561e1f74f9f5744ac880c4405"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2626da7408f0a33bd3b0a01cd7936248"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#a2626da7408f0a33bd3b0a01cd7936248">link_partition::imax_</a></td></tr>
<tr class="separator:a2626da7408f0a33bd3b0a01cd7936248"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d17fa7826e46f1f573706fd85ffbc3f"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#a7d17fa7826e46f1f573706fd85ffbc3f">link_partition::nx_</a></td></tr>
<tr class="separator:a7d17fa7826e46f1f573706fd85ffbc3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6dee07b80c1e334e437f4e1c62d71d66"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#a6dee07b80c1e334e437f4e1c62d71d66">link_partition::nxo_</a></td></tr>
<tr class="separator:a6dee07b80c1e334e437f4e1c62d71d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99f46263da5b0c32deb4433efec48d24"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#a99f46263da5b0c32deb4433efec48d24">link_partition::jmino_</a></td></tr>
<tr class="separator:a99f46263da5b0c32deb4433efec48d24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9f0a17eb5de81f6f2e057795572b26f"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#ae9f0a17eb5de81f6f2e057795572b26f">link_partition::jmin_</a></td></tr>
<tr class="separator:ae9f0a17eb5de81f6f2e057795572b26f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85640a0c175d23d491088ec488d39cfb"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#a85640a0c175d23d491088ec488d39cfb">link_partition::jmaxo_</a></td></tr>
<tr class="separator:a85640a0c175d23d491088ec488d39cfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35695cf90d919195ae57e811807dc37d"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#a35695cf90d919195ae57e811807dc37d">link_partition::jmax_</a></td></tr>
<tr class="separator:a35695cf90d919195ae57e811807dc37d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa36686e9c7b49b8eb387df8981f73b98"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#aa36686e9c7b49b8eb387df8981f73b98">link_partition::ny_</a></td></tr>
<tr class="separator:aa36686e9c7b49b8eb387df8981f73b98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0e719335e468d4c6790dde15cf94fce"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#ad0e719335e468d4c6790dde15cf94fce">link_partition::nyo_</a></td></tr>
<tr class="separator:ad0e719335e468d4c6790dde15cf94fce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc936374f3e8091e1834620c41886fdb"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#acc936374f3e8091e1834620c41886fdb">link_partition::kmino_</a></td></tr>
<tr class="separator:acc936374f3e8091e1834620c41886fdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63c97de98bd5eefe715d9a844d46aed1"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#a63c97de98bd5eefe715d9a844d46aed1">link_partition::kmin_</a></td></tr>
<tr class="separator:a63c97de98bd5eefe715d9a844d46aed1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfbc655ece665a799e6067c72a17fa95"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#abfbc655ece665a799e6067c72a17fa95">link_partition::kmaxo_</a></td></tr>
<tr class="separator:abfbc655ece665a799e6067c72a17fa95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a120ba1b0dfdeea210aa9da7b946b5a25"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#a120ba1b0dfdeea210aa9da7b946b5a25">link_partition::kmax_</a></td></tr>
<tr class="separator:a120ba1b0dfdeea210aa9da7b946b5a25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ce52a792bcb8709646635a6efb397c6"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#a1ce52a792bcb8709646635a6efb397c6">link_partition::nz_</a></td></tr>
<tr class="separator:a1ce52a792bcb8709646635a6efb397c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a543c3f0a0bbbe7f5f74e5932f090c632"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#a543c3f0a0bbbe7f5f74e5932f090c632">link_partition::nzo_</a></td></tr>
<tr class="separator:a543c3f0a0bbbe7f5f74e5932f090c632"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a749ab04d20cfccd469888bca81b16c34"><td class="memItemLeft" align="right" valign="top">logical, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#a749ab04d20cfccd469888bca81b16c34">link_partition::linked</a> = .FALSE.</td></tr>
<tr class="separator:a749ab04d20cfccd469888bca81b16c34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fde1843a7fd31a1724b5076c803f17c"><td class="memItemLeft" align="right" valign="top">character(len=str_medium), private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelink__partition.html#a0fde1843a7fd31a1724b5076c803f17c">link_partition::linked_name</a> = 'N/A'</td></tr>
<tr class="separator:a0fde1843a7fd31a1724b5076c803f17c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
